function z = getdv(p, x1, x2, strf),

% GETDV return the value of the Zernikie polynomial 
%
%   z = getdv(zk, x1, x2,<phi,rho>),
%
% where 
%       zk   = zernike object
%       x1   = 'r','x'
%       x2   = 't','y'
%       strf = 'u','v','dzdr','dzdt' 
%
% 13/2/06 modifed for BHW polynomials
% 24/1/06 simplified coding 

% added matrix return capability
M1  = getMdv(p, x1, x2, strf);
z   = M1*p.coeff(:); 
return 
