function [n, m] = bhwSgl2Dbl(p),

% BHWSGl2DBL return the double index from the 
% single polynomial-ordering index p 
%
%  [n,m] = bhwSgl2Dbl(p)
%
% where 
%       n = radial order 
%       m = angular frequency

% single indexing to double 
n    = ceil(sqrt(p)) - 1;
m    = floor((p-((n-1).^2+2*(n-1)+1))/2);

return 